Summary:    Java bindings for the libvirt virtualization API
Name:       libvirt-java
Version:    0.4.9
Prefix:     libvirt
Release:    %mkrel 6
License:    MIT
BuildArch:  noarch
Group:      Development/Java
Source:     http://libvirt.org/sources/java/%{name}-%{version}.tar.gz

# Fix FTBFS issue (bz #914153)
Patch0001: 0001-Fix-build-with-jna-3.5.0.patch
URL:        http://libvirt.org/

Requires:   jna
Requires:   libvirt-client >= 0.9.12
Requires:   java >= 1.5.0
Requires:   jpackage-utils
BuildRequires:  ant
BuildRequires:  jna
BuildRequires:  ant-junit
BuildRequires:  java-devel >= 1.5.0
BuildRequires:  jpackage-utils

#
# the jpackage-utils should provide a %{java_home} macro
# to select a different Java JVM from the default one use the following
# rpmbuild --define 'java_home /usr/lib/jvm/your_jvm_of_choice'
#

%description
Libvirt-java is a base framework allowing to use libvirt, the virtualization
API though the Java programming language.
It requires libvirt-client >= 0.9.12

%package    devel
Summary:    Compressed Java source files for %{name}
Group:      Development/Java
Requires:   %{name} = %{version}-%{release}

%description    devel
Libvirt-java is a base framework allowing to use libvirt, the virtualization
API though the Java programming language. This is the development part needed
to build applications with Libvirt-java.


%package    javadoc
Summary:    Java documentation for %{name}
Group:      Documentation
Requires:   jpackage-utils

%description    javadoc
API documentation for %{name}.
%prep
%setup -q

# Fix FTBFS issue (bz #914153)
%autopatch -p1

%build
ant build docs

%install
install -d -m0755 %{buildroot}%{_javadir}
install -d -m0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp target/%{prefix}-%{version}.jar %{buildroot}%{_javadir}
%{__ln_s} %{_javadir}/%{prefix}-%{version}.jar %{buildroot}%{_javadir}/%{prefix}.jar 
cp -r target/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{_javadocdir}/%{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%check
ant test

%files
%doc AUTHORS LICENCE NEWS README INSTALL
%{_javadir}/*.jar

%files devel
%doc src/test/java/test.java


%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.4.9-6.mga8
+ Revision: 1491736
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.4.9-5.mga7
+ Revision: 1263892
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 0.4.9-4.mga6
+ Revision: 963930
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.9-3.mga5
+ Revision: 750562
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.9-2.mga5
+ Revision: 681843
- Mageia 5 Mass Rebuild

* Mon Dec 30 2013 dmorgan <dmorgan> 0.4.9-1.mga4
+ Revision: 563270
- New version
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.7-2.mga3
+ Revision: 358354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 28 2011 dmorgan <dmorgan> 0.4.7-1.mga2
+ Revision: 130310
- Fix groups
- New version 0.4.7
+ saispo <saispo>
- Fix Requires and BuildRequires
- imported package libvirt-java

